Accounts & connections · Profiles

List profiles

Returns profiles, one page at a time.

GEThttps://api.pozy.ai/v1/profiles
listProfiles

Guide: Profiles

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
includeOverLimitbooleanDefault false
namestring
externalIdstring
limitinteger1 to 1000
skipintegerAt least 0

Example

curl -X GET "https://api.pozy.ai/v1/profiles?limit=1" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • profilesarray of object
    11 child fields
    • _idstring
    • userIdstring
    • namestring
    • descriptionstring
    • colorstring
    • timezonestring

      Can be null.

    • externalIdstring

      Can be null.

    • isDefaultboolean
    • isOverLimitboolean
    • accountCountinteger
    • createdAtstring (date-time)
  • totalinteger
  • skipinteger
  • limitinteger
200 response
{
  "profiles": [
    {
      "_id": "635d87e261ae344ef27fd1df",
      "userId": "6da95b9455a22c1e061837af",
      "name": "Acme",
      "description": "A short description",
      "color": "string",
      "timezone": "America/New_York",
      "externalId": "62c9d6bdf3fa891362623a67",
      "isDefault": true,
      "isOverLimit": true,
      "accountCount": 42,
      "createdAt": "2026-10-02T09:00:00.000Z"
    }
  ],
  "total": 42,
  "skip": 1,
  "limit": 1
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Profiles